Bug 142442 - CAN-2004-1237 kernel panic ( __audit_get_target)
CAN-2004-1237 kernel panic ( __audit_get_target)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Peter Martuccelli
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-09 14:09 EST by dan ginsberg
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-09 16:30:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description dan ginsberg 2004-12-09 14:09:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041111 Firefox/1.0

Description of problem:
When we roll an oracle8i instance forward by hand, things are fine. 
When we roll it forward from chron the kernel reliably oopses:

esi: f46fc49c   edi: 00000203   ebp: f4177e30   esp: f4177da8
ds: 0068   es: 0068   ss: 0068
Process oracle (pid: 6313, stackpage=f4177000)
Stack: f46fc43c 00000000 00000001 00000008 f4177e00 f4177e70 f5b9d980
f5b9d980
       f8d4ff28 00000203 f4177f6c f4177e70 f46fc49c 00000000 00000000
00000000
       00000005 f46fc49c 00000000 f5e1da00 f46fc4b4 f5e1da24 f4177df0
f5b9d380
Call Trace:   [<f8d4ff28>] audit_filter_eval [audit] 0x2a8 (0xf4177dc8)
[<c0148130>] ___wait_on_page [kernel] 0xd0 (0xf4177e98)
[<c013a513>] in_group_p [kernel] 0x23 (0xf4177eb8)
[<c0149755>] file_read_actor [kernel] 0xd5 (0xf4177ed0)
[<c0148e33>] do_generic_file_read [kernel] 0x373 (0xf4177ef0)
[<f8d525a4>] audit_lock [audit] 0x0 (0xf4177f30)
[<f8d4af40>] __audit_policy_check [audit] 0x40 (0xf4177f40)
[<f8d4af7b>] audit_policy_check [audit] 0x2b (0xf4177f4c)
[<f8d4a84b>] __audit_syscall_return [audit] 0x7b (0xf4177f5c)
[<c01715e7>] getname [kernel] 0x87 (0xf4177f88)
[<f8d4ac9a>] __audit_result [audit] 0x3a (0xf4177f98)
[<c01fdad9>] audit_result [kernel] 0x49 (0xf4177fa8)
[<c0110fc0>] syscall_trace_leave [kernel] 0x40 (0xf4177fb4)

Code: 8b 48 08 85 c9 0f 84 87 00 00 00 8d 87 00 fe ff ff 83 f8 06

Kernel panic: Fatal exception 

Version-Release number of selected component (if applicable):
kernel-2.4.21-20elsmp and kernel-2.4.21-15elsmp

How reproducible:
Always

Steps to Reproduce:
1. Roll oracle81 hot standby instance forward hourly from cron
2.
3.
    

Actual Results:  kernel oops

Expected Results:  db rolls forward.

Additional info:

 Uname  	 Linux db3.sjdc01.qualys.com 2.4.21-20.ELsmp #1 SMP Wed Aug
18 20:46:40 EDT 2004 i686 i686 i386 GNU/Linux
Processor 	Intel(R) Xeon(TM) CPU 3.40GHz
Memory 	physical 3515 MB, swap 8192 MB

	Partitions
Name 	Size 	Mount point
/dev/cciss/c0d0p2  	4031872  	/ 
/dev/cciss/c0d0p1  	98747  	/boot 
/dev/cciss/c0d0p8  	6047956  	/home 
none  	1799516  	/dev/shm 
/dev/cciss/c0d0p9  	2015904  	/tmp 
/dev/cciss/c0d0p7  	6047956  	/usr 
/dev/cciss/c0d0p6  	6047956  	/var 
/dev/cciss/c1d0p1  	423359768  	/u01 
/dev/cciss/c1d1p1  	70009904  	/u02 
/dev/cciss/c1d2p1  	70009904  	/u03 
/dev/cciss/c1d3p1  	70009904  	/u04 
/dev/cciss/c1d4p1  	141117240  	/u05 
/dev/cciss/c0d1p1  	70009904  	/u07 
/dev/cciss/c0d2p1  	70009904  	/u08 
/dev/cciss/c0d3p1  	70009904  	/u09 
/dev/cciss/c0d4p1  	70009904  	/u10 
/dev/cciss/c0d0p3  	37460916  	/u11 

	PCI Devices

00:00.0 Host bridge: Intel Corp. Server Memory Controller Hub (rev 0a)
00:02.0 PCI bridge: Intel Corp. Memory Controller Hub PCI Express Port
A0 (rev 0a)
00:06.0 PCI bridge: Intel Corp. Memory Controller Hub PCI Express Port
C0 (rev 0a)
00:1d.0 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI
#1 (rev 02)
00:1d.1 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI
#2 (rev 02)
00:1d.2 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI
#3 (rev 02)
00:1d.3 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB UHCI
#4 (rev 02)
00:1d.7 USB Controller: Intel Corp. 82801EB/ER (ICH5/ICH5R) USB2 EHCI
Controller (rev 02)
00:1e.0 PCI bridge: Intel Corp. 82801BA/CA/DB/EB/ER Hub interface to
PCI Bridge (rev c2)
00:1f.0 ISA bridge: Intel Corp. 82801EB/ER (ICH5/ICH5R) LPC Bridge
(rev 02)
00:1f.1 IDE interface: Intel Corp. 82801EB/ER (ICH5/ICH5R) Ultra ATA
100 Storage Controller (rev 02)
01:03.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
01:04.0 System peripheral: Compaq Computer Corporation Integrated
Lights Out Controller (rev 01)
01:04.2 System peripheral: Compaq Computer Corporation Integrated
Lights Out  Processor (rev 01)
02:00.0 PCI bridge: Intel Corp. PCI Bridge Hub A (rev 09)
02:00.2 PCI bridge: Intel Corp. PCI Bridge Hub B (rev 09)
03:01.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5704
Gigabit Ethernet (rev 10)
03:01.1 Ethernet controller: Broadcom Corporation NetXtreme BCM5704
Gigabit Ethernet (rev 10)
04:03.0 RAID bus controller: Compaq Computer Corporation Smart Array
64xx (rev 01)
05:00.0 PCI bridge: Intel Corp. PCI Bridge Hub A (rev 09)
05:00.2 PCI bridge: Intel Corp. PCI Bridge Hub B (rev 09)
0a:01.0 PCI bridge: IBM PCI-X to PCI-X Bridge (rev 02)
0b:04.0 RAID bus controller: Compaq Computer Corporation Smart Array
64xx (rev 01)
Comment 1 Ernie Petrides 2004-12-09 16:30:33 EST
A fix for this problem has already been committed to the RHEL3 U5
patch pool on 15-Nov-2004 (in kernel version 2.4.21-25.1.EL).

To work around this problem before U5 is released (a few months
from now), please disable auditing with the following commands:

    chkconfig audit off
    service audit stop


*** This bug has been marked as a duplicate of 132245 ***
Comment 2 David Lawrence 2005-01-18 18:52:35 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-043.html

Note You need to log in before you can comment on or make changes to this bug.